# Interface IPerspectiveListener4

All Superinterfaces:
  `IPerspectiveListener, IPerspectiveListener2, IPerspectiveListener3`

All Known Implementing Classes:
  `PerspectiveAdapter, PerspectiveTracker`

public interface IPerspectiveListener4 extends IPerspectiveListener3
Extension interface to `IPerspectiveListener` which adds support for listening to perspective pre-deactivate events.

This interface may be implemented by clients.

Since:
  3.2
See Also:
  - `IPageService.addPerspectiveListener(IPerspectiveListener)`
  - `PerspectiveAdapter`

## Method Summary

Modifier and Type
Method
Description
`void`
`perspectivePreDeactivate(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies this listener that a perspective in the given page is about to be deactivated.

### Methods inherited from interface IPerspectiveListener

`perspectiveActivated, perspectiveChanged`

### Methods inherited from interface IPerspectiveListener2

`perspectiveChanged`

### Methods inherited from interface IPerspectiveListener3

`perspectiveClosed, perspectiveDeactivated, perspectiveOpened, perspectiveSavedAs`

## Method Details

### perspectivePreDeactivate

void perspectivePreDeactivate(IWorkbenchPage page, IPerspectiveDescriptor perspective)

Notifies this listener that a perspective in the given page is about to be deactivated.

Note: This does not have the ability to veto a perspective deactivation.

Parameters:
  `page` - the page containing the deactivated perspective
  `perspective` - the perspective descriptor that was deactivated
See Also:
  - `IWorkbenchPage.setPerspective(IPerspectiveDescriptor)`